## Global xml_decor

boost::log::expressions::xml_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/xml_decorator.hpp>

    unspecified xml_decor;

## Description

XML-style decorator generator object. The decorator replaces characters that have special meaning in XML documents with the corresponding decorated counterparts. The generator provides `operator[]` that can be used to construct the actual decorator. For example:

`xml_decor[ attr< std::string >("MyAttr") ]`

For wide-character formatting there is the similar `wxml_decor` decorator generator object.